%if 0%{?fedora} >= 13 || 0%{?rhel} >= 8
%global with_py3 1
%endif #0%{?fedora} >= 13 || 0%{?rhel} >= 8

%global libsuffix yui
%global libname lib%{libsuffix}

Name:		%{libname}-bindings
Version:	1.0.4
Release:	3%{?dist}
Summary:	Language bindings for %{libname}

License:	LGPLv2 or LGPLv3
URL:		https://github.com/%{libname}/%{name}
Source0:	%{url}/archive/%{name}/master/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	cmake			>= 2.8
BuildRequires:	%{libname}-devel
BuildRequires:	swig

%description
This package provides Perl, Python and Ruby language bindings to access
functions of %{libname}.
An User Interface engine that provides abstraction from graphical user
interfaces (Qt, Gtk) and text based user interfaces (ncurses).


%package -n perl-%{libsuffix}
Summary:	Perl bindings for %{libname}

BuildRequires:	perl-devel
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description -n perl-%{libsuffix}
This package provides Perl language bindings to access functions of
%{libname} - An User Interface engine that provides the abstraction
from graphical user interfaces (Qt, Gtk) and text based user
interfaces (ncurses).


%package -n python-%{libsuffix}
Summary:	Python bindings for %{libname}
BuildRequires:	python2-devel

%description -n python-%{libsuffix}
This package provides Python language bindings to access functions of
%{libname} - An User Interface engine that provides the abstraction
from graphical user interfaces (Qt, Gtk) and text based user
interfaces (ncurses).


%if 0%{?with_py3}
%package -n python3-%{libsuffix}
Summary:	Python3 bindings for %{libname}
BuildRequires:	python3-devel

%description -n python3-%{libsuffix}
This package provides Python3 language bindings to access functions of
%{libname} - An User Interface engine that provides the abstraction
from graphical user interfaces (Qt, Gtk) and text based user
interfaces (ncurses).
%endif #0%{?with_py3}


%package -n ruby-%{libsuffix}
Summary:	Ruby bindings for %{libname}

BuildRequires:	ruby-devel

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
Requires:	ruby(release)
%else #0%{?fedora} >= 19 || 0%{?rhel} >= 7
%if (0%{?fedora} && 0%{?fedora} <= 16) || (0%{?rhel} >= 4 && 0%{?rhel} <= 6)
Requires:	ruby(abi)		== 1.8
%else #(0%{?fedora} && 0%{?fedora} <= 16) || (0%{?rhel} >= 4 && 0%{?rhel} <= 6)
Requires:	ruby(abi)		== 1.9.1
%endif #(0%{?fedora} && 0%{?fedora} <= 16) || (0%{?rhel} >= 4 && 0%{?rhel} <= 6)
%endif #0%{?fedora} >= 19 || 0%{?rhel} >= 7

%description -n ruby-%{libsuffix}
This package provides Ruby language bindings to access functions of
%{libname} - An User Interface engine that provides the abstraction
from graphical user interfaces (Qt, Gtk) and text based user
interfaces (ncurses).


%prep
%setup -q -n %{name}-%{name}-master-%{version}
cp -a package/%{libname}-bindings.changes ChangeLog

%if 0%{?with_py3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif #0%{?with_py3}

%build
mkdir -p build
pushd build
%cmake							\
	-DLIB=%{_libdir}				\
	-DPython_ADDITIONAL_VERSIONS=%{python2_version}	\
	-DPYTHON_EXECUTABLE=%{__python2}		\
	-DPYTHON_SITEDIR=%{python2_sitearch}		\
	-DCMAKE_BUILD_TYPE=RELEASE			\
	-DBUILD_RUBY_GEM=no				\
	..

make %{?_smp_mflags}
popd

%if 0%{?with_py3}
pushd %{py3dir}
mkdir -p build
pushd build
%cmake							\
	-DLIB=%{_libdir}				\
	-DPython_ADDITIONAL_VERSIONS=%{python3_version}	\
	-DPYTHON_EXECUTABLE=%{__python3}		\
	-DPYTHON_SITEDIR=%{python3_sitearch}		\
	-DCMAKE_BUILD_TYPE=RELEASE			\
	-DBUILD_RUBY_GEM=no				\
	..

make %{?_smp_mflags}
popd
%endif #0%{?with_py3}


%install
pushd build
%make_install
popd

%if 0%{?with_py3}
pushd %{py3dir}
pushd build
%make_install
popd
%endif #0%{?with_py3}


%files -n perl-%{libsuffix}
%doc ChangeLog COPYING* README swig/perl/examples
%{perl_vendorarch}/%{libsuffix}.so
%{perl_vendorlib}/%{libsuffix}.pm

%files -n python-%{libsuffix}
%doc ChangeLog COPYING* README swig/python/examples
%{python2_sitearch}/*%{libsuffix}.*

%if 0%{?with_py3}
%files -n python3-%{libsuffix}
%doc ChangeLog COPYING* README swig/python/examples
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/*%{libsuffix}.*
%endif #0%{?with_py3}

%files -n ruby-%{libsuffix}
%doc ChangeLog COPYING* README swig/ruby/examples
%{ruby_vendorarchdir}/_%{libsuffix}.*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Björn Esser <bjoern.esser@gmail.com> - 1.0.4-1
- new upstream version
- build a Python3 version
- minor improvents on spec

* Thu Apr 24 2014 Vít Ondruch <vondruch@redhat.com> - 1.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.1

* Tue Mar 18 2014 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-10
- rebuilt for libyui-3.0.13

* Wed Oct 02 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-9
- added "Versioned MODULE_COMPAT_ Requires"

* Wed Oct 02 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-8
- adaptions for new Python-guidelines
- use %%{ruby_vendorarchdir} instead of hardcoded path

* Fri Aug 30 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-7
- libyui 3.0.10 rebuilt

* Sat Aug 03 2013 Petr Pisar <ppisar@redhat.com> - 1.0.2-6
- Perl 5.18 rebuild

* Sat Jul 27 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-5
- include examples in own subdir
- removed hardening flags

* Sat Jul 27 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-4
- fix build, removed trailing backslash

* Sat Jul 27 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-3
- libyui-3.0.9 rebuilt on all branches
- removed Group-tag

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.0.2-2
- Perl 5.18 rebuild on F20 / rawhide

* Thu Jun 20 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.2-1
- new upstream-version
- copyright changed GPLv2 -> LGPLv2 or LGPLv3 matching libyui* now.
- removed `/usr/bin/env` from hashbang of examples
- adapted Source0 obsoleting %%commit

* Sat May 18 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.1-2
- improved readability: tag ordering

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 1.0.1-1
- Initial RPM release.
